packaging: Remove RHEL directory and contents
authorRowland Penny <rpenny@samba.org>
Wed, 6 Sep 2017 13:28:51 +0000 (14:28 +0100)
committerJeremy Allison <jra@samba.org>
Tue, 12 Sep 2017 00:46:14 +0000 (02:46 +0200)
Signed-off-by: Rowland Penny <rpenny@samba.org>
Reviewed-by: Volker Lendecke <vl@samba.org>
12 files changed:
packaging/RHEL/makerpms.git.sh [deleted file]
packaging/RHEL/makerpms.sh.tmpl [deleted file]
packaging/RHEL/samba.spec.tmpl [deleted file]
packaging/RHEL/setup/filter-requires-samba.sh [deleted file]
packaging/RHEL/setup/samba.log [deleted file]
packaging/RHEL/setup/samba.pamd [deleted file]
packaging/RHEL/setup/samba.sysconfig [deleted file]
packaging/RHEL/setup/smb.conf [deleted file]
packaging/RHEL/setup/smb.init [deleted file]
packaging/RHEL/setup/smbusers [deleted file]
packaging/RHEL/setup/swat.desktop [deleted file]
packaging/RHEL/setup/winbind.init [deleted file]

diff --git a/packaging/RHEL/makerpms.git.sh b/packaging/RHEL/makerpms.git.sh
deleted file mode 100755 (executable)
index 68f9d96..0000000
+++ /dev/null
@@ -1,149 +0,0 @@
-#!/bin/sh
-# Copyright (C) John H Terpstra 1998-2002
-# Copyright (C) Gerald (Jerry) Carter 2003
-# Copyright (C) Michael Adam 2008
-
-# Script to build RPMs for RHEL from inside a git checkout.
-
-# The following allows environment variables to override the target directories
-#   the alternative is to have a file in your home directory calles .rpmmacros
-#   containing the following:
-#   %_topdir  /home/mylogin/redhat
-#
-# Note: Under this directory rpm expects to find the same directories
-# that are under the /usr/src/redhat directory.
-
-# Set DOCS_TARBALL to the path to a docs release tarball in .tar.bz2 format.
-# This tarball should contain the compiled docs with a prefix of "docs/".
-
-# extra options passed to rpmbuild
-EXTRA_OPTIONS="$1"
-
-RPMSPECDIR=`rpm --eval %_specdir`
-RPMSRCDIR=`rpm --eval %_sourcedir`
-
-# At this point the RPMSPECDIR and RPMSRCDIR variables must have a value!
-
-USERID=`id -u`
-GRPID=`id -g`
-
-DIRNAME=$(dirname $0)
-TOPDIR=${DIRNAME}/../..
-SRCDIR=${TOPDIR}/source3
-VERSION_H=${SRCDIR}/include/version.h
-
-SPECFILE="samba.spec"
-DOCS="docs.tar.bz2"
-RPMVER=`rpm --version | awk '{print $3}'`
-RPM="rpmbuild"
-
-##
-## Check the RPM version (paranoid)
-##
-case $RPMVER in
-    4*)
-       echo "Supported RPM version [$RPMVER]"
-       ;;
-    *)
-       echo "Unknown RPM version: `rpm --version`"
-       exit 1
-       ;;
-esac
-
-##
-## determine the samba version and create the SPEC file
-##
-pushd ${SRCDIR}
-./script/mkversion.sh
-popd
-if [ ! -f ${VERSION_H} ] ; then
-       echo "Error creating version.h"
-       exit 1
-fi
-
-VERSION=`grep "^#define SAMBA_VERSION_OFFICIAL_STRING " ${VERSION_H} | awk '{print $3}'`
-vendor_version=`grep "^#define SAMBA_VERSION_VENDOR_SUFFIX " ${VERSION_H} | awk '{print $3}'`
-if test "x${vendor_version}"  != "x" ; then
-       VERSION="${VERSION}-${vendor_version}"
-fi
-VERSION=`echo ${VERSION} | sed 's/-/_/g'`
-VERSION=`echo ${VERSION} | sed 's/\"//g'`
-echo "VERSION: ${VERSION}"
-sed -e s/PVERSION/${VERSION}/g \
-       -e s/PRELEASE/1/g \
-       -e s/PRPMREV//g \
-       < ${DIRNAME}/${SPECFILE}.tmpl \
-       > ${DIRNAME}/${SPECFILE}
-
-
-##
-## create the tarball
-##
-pushd ${TOPDIR}
-rm -rf ../samba-${VERSION}
-git archive --prefix=samba-${VERSION}/ HEAD | (cd .. && tar -xf -)
-RC=$?
-popd
-if [ $RC -ne 0 ]; then
-       echo "Build failed!"
-       exit 1
-fi
-
-if [ "x${DOCS_TARBALL}" != "x" ] && [ -f ${DOCS_TARBALL} ]; then
-       cp ${DOCS_TARBALL} /tmp/${DOCS}
-       pushd ${TOPDIR}/../samba-${VERSION}
-       tar xjf /tmp/${DOCS}
-       RC=$?
-       rm -f /tmp/${DOCS}
-       popd
-       if [ $RC -ne 0 ]; then
-               echo "Build failed!"
-               exit 1
-       fi
-fi
-
-pushd ${TOPDIR}/..
-chown -R ${USERID}.${GRPID} samba-${VERSION}${REVISION}
-if [ ! -d samba-${VERSION} ]; then
-       ln -s samba-${VERSION}${REVISION} samba-${VERSION} || exit 1
-fi
-echo -n "Creating samba-${VERSION}.tar.bz2 ... "
-tar --exclude=.svn -cf - samba-${VERSION}/. | bzip2 > ${RPMSRCDIR}/samba-${VERSION}.tar.bz2
-RC=$?
-rm -rf samba-${VERSION}/
-popd
-echo "Done."
-if [ $RC -ne 0 ]; then
-        echo "Build failed!"
-        exit 1
-fi
-
-
-##
-## copy additional source files
-##
-pushd ${DIRNAME}
-chmod 755 setup/filter-requires-samba.sh
-tar --exclude=.svn -jcvf - setup > ${RPMSRCDIR}/setup.tar.bz2
-cp -p ${SPECFILE} ${RPMSPECDIR}
-popd
-
-##
-## Build
-##
-echo "$(basename $0): Getting Ready to build release package"
-pushd ${RPMSPECDIR}
-${RPM} -ba $EXTRA_OPTIONS $SPECFILE
-if [ "x$?" = "x0" ] && [ `arch` = "x86_64" ]; then
-    echo "Building 32 bit winbind libs"
-    # hi ho, a hacking we will go ...
-    ln -sf /lib/libcom_err.so.2 /lib/libcom_err.so
-    ln -sf /lib/libuuid.so.1 /lib/libuuid.so
-    ln -sf /lib/libkeyutils.so.1 /lib/libkeyutils.so
-    ${RPM} -ba --rebuild --target=i386 $SPECFILE
-fi
-
-popd
-
-echo "$(basename $0): Done."
-
diff --git a/packaging/RHEL/makerpms.sh.tmpl b/packaging/RHEL/makerpms.sh.tmpl
deleted file mode 100644 (file)
index 03e56f5..0000000
+++ /dev/null
@@ -1,81 +0,0 @@
-#!/bin/sh
-# Copyright (C) John H Terpstra 1998-2002
-#               Gerald (Jerry) Carter 2003
-
-# The following allows environment variables to override the target directories
-#   the alternative is to have a file in your home directory calles .rpmmacros
-#   containing the following:
-#   %_topdir  /home/mylogin/redhat
-#
-# Note: Under this directory rpm expects to find the same directories that are under the
-#   /usr/src/redhat directory
-#
-
-EXTRA_OPTIONS="$1"
-
-SPECDIR=`rpm --eval %_specdir`
-SRCDIR=`rpm --eval %_sourcedir`
-
-# At this point the SPECDIR and SRCDIR variables must have a value!
-
-USERID=`id -u`
-GRPID=`id -g`
-VERSION='PVERSION'
-REVISION='PREVISION'
-SPECFILE="samba.spec"
-RPMVER=`rpm --version | awk '{print $3}'`
-RPM="rpmbuild"
-
-##
-## Check the RPM version (paranoid)
-##
-case $RPMVER in
-    4*)
-       echo "Supported RPM version [$RPMVER]"
-       ;;
-    *)
-       echo "Unknown RPM version: `rpm --version`"
-       exit 1
-       ;;
-esac
-
-pushd .
-cd ../../source3
-if [ -f Makefile ]; then
-       make distclean
-fi
-popd
-
-pushd .
-cd ../../../
-chown -R ${USERID}.${GRPID} samba-${VERSION}${REVISION}
-if [ ! -d samba-${VERSION} ]; then
-       ln -s samba-${VERSION}${REVISION} samba-${VERSION} || exit 1
-fi
-echo -n "Creating samba-${VERSION}.tar.bz2 ... "
-tar --exclude=.svn -cf - samba-${VERSION}/. | bzip2 > ${SRCDIR}/samba-${VERSION}.tar.bz2
-echo "Done."
-if [ $? -ne 0 ]; then
-        echo "Build failed!"
-        exit 1
-fi
-
-popd
-
-
-##
-## copy additional source files
-##
-chmod 755 setup/filter-requires-samba.sh
-tar --exclude=.svn -jcvf - setup > ${SRCDIR}/setup.tar.bz2
-cp -p ${SPECFILE} ${SPECDIR}
-
-##
-## Build
-##
-echo "$(basename $0): Getting Ready to build release package"
-cd ${SPECDIR}
-${RPM} -ba --clean --rmsource $EXTRA_OPTIONS $SPECFILE
-
-echo "$(basename $0): Done."
-
diff --git a/packaging/RHEL/samba.spec.tmpl b/packaging/RHEL/samba.spec.tmpl
deleted file mode 100644 (file)
index c621fb6..0000000
+++ /dev/null
@@ -1,462 +0,0 @@
-%define initdir %{_sysconfdir}/rc.d/init.d
-%define auth %(test -f /etc/pam.d/system-auth && echo /etc/pam.d/system-auth || echo)
-%define this_is_redhat  %(test -e /etc/redhat-release && echo 1 || echo 0)
-%if %{this_is_redhat} > 0
-%define rhel_ver %(grep "release" /etc/redhat-release | sed "s/^[^0-9]*\\([0-9]*\\).*/\\1/g")
-%else
-%define rhel_ver 0
-%endif
-
-Summary: Samba SMB client and server
-Vendor: Samba Team
-Packager: Samba Team <samba@lists.samba.org>
-Name:         samba
-Version:      PVERSION
-Release:      PRELEASEPRPMREV
-Epoch:        0
-License: GNU GPL version 3
-Group: System Environment/Daemons
-URL: http://www.samba.org/
-
-Source: samba-%{version}.tar.bz2
-
-# Don't depend on Net::LDAP
-Source998: filter-requires-samba.sh
-Source999: setup.tar.bz2
-
-Prereq: /sbin/chkconfig /bin/mktemp /usr/bin/killall
-Prereq: fileutils sed /etc/init.d
-
-Requires: pam >= 0.64 %{auth} 
-Requires: samba-common = %{version}-%{release}
-Requires: logrotate >= 3.4 initscripts >= 5.54-1
-Provides: samba = %{version}
-
-Prefix: /usr
-BuildRoot: %{_tmppath}/%{name}-%{version}-root
-BuildRequires: pam-devel, readline-devel, fileutils, libacl-devel, openldap-devel, krb5-devel, cups-devel
-
-%if %{rhel_ver} > 4
-BuildRequires:  keyutils-libs-devel
-%else
-BuildRequires:  keyutils-devel
-%endif
-
-# Working around perl dependency problem from docs
-%define __perl_requires %{SOURCE998}
-
-# rpm screws up the arch lib dir when using --target on RHEL5
-%ifarch i386 i486 i586 i686 ppc s390
-%define _libarch lib
-%else
-%define _libarch %_lib
-%endif
-
-%define _libarchdir /usr/%{_libarch}
-
-
-%description
-Samba is the protocol by which a lot of PC-related machines share
-files, printers, and other information (such as lists of available
-files and printers). The Windows NT, OS/2, and Linux operating systems
-support this natively, and add-on packages can enable the same thing
-for DOS, Windows, VMS, UNIX of all kinds, MVS, and more. This package
-provides an SMB server that can be used to provide network services to
-SMB (sometimes called "Lan Manager") clients. Samba uses NetBIOS over
-TCP/IP (NetBT) protocols and does NOT need the NetBEUI (Microsoft Raw
-NetBIOS frame) protocol.
-
-
-#######################################################################
-%package client
-Summary: Samba (SMB) client programs.
-Group: Applications/System
-Requires: samba-common = %{version}-%{release}
-Obsoletes: smbfs
-Provides: samba-client = %{version}-%{release}
-
-%description client
-The samba-client package provides some SMB clients to compliment the
-built-in SMB filesystem in Linux. These clients allow access of SMB
-shares and printing to SMB printers.
-
-
-#######################################################################
-%package common
-Summary: Files used by both Samba servers and clients.
-Group: Applications/System
-Provides: samba-common = %{version}-%{release}
-
-%description common
-Samba-common provides files necessary for both the server and client
-packages of Samba.
-
-
-#######################################################################
-%package doc
-Summary:      Samba Documentation
-Group:        Documentation/Other
-Provides:     samba-doc = %{version}-%{release}
-Prereq:       /usr/bin/find /bin/rm /usr/bin/xargs
-
-%description doc
-The samba-doc package includes the HTML versions of the Samba manpages as well
-as the HTML and PDF version of "Using Samba", "Samba By Example", and "The
-Official Samba HOWTO and Reference Guide".
-
-
-#######################################################################
-
-%prep
-%setup -q
-
-# setup the vendor files (init scripts, etc...)
-%setup -T -D -a 999 -n samba-%{version} -q
-
-%build
-
-/bin/cp setup/filter-requires-samba.sh %{SOURCE998}
-
-cd source3
-# RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"
-
-## check for ccache
-if [ "$(which ccache 2> /dev/null)" != "" ]; then
-       CC="ccache gcc"
-else
-       CC="gcc"
-fi 
-
-## always run autogen.sh
-./autogen.sh
-
-## ignore insufficiently linked libreadline (RH bugzilla #499837):
-export LDFLAGS="$LDFLAGS -Wl,--allow-shlib-undefined,--no-as-needed"
-
-CC="$CC" CFLAGS="$RPM_OPT_FLAGS $EXTRA -D_GNU_SOURCE" ./configure \
-       --prefix=%{_prefix} \
-       --localstatedir=/var \
-        --with-configdir=%{_sysconfdir}/samba \
-        --libdir=%{_libarchdir} \
-       --with-modulesdir=%{_libarchdir}/samba \
-       --with-pammodulesdir=%{_libarch}/security \
-        --with-lockdir=/var/lib/samba \
-        --with-logfilebase=/var/log/samba \
-        --with-mandir=%{_mandir} \
-        --with-piddir=/var/run \
-       --with-privatedir=%{_sysconfdir}/samba \
-       --enable-cups \
-        --with-acl-support \
-       --with-ads \
-        --with-automount \
-        --with-fhs \
-       --with-libsmbclient \
-        --without-smbwrapper \
-       --with-pam \
-       --with-quotas \
-       --with-shared-modules=idmap_rid,idmap_ad,idmap_hash,idmap_adex \
-       --with-syslog \
-       --with-utmp \
-       --with-dnsupdate
-
-make showlayout
-
-## check for gcc 3.4 or later
-CC_VERSION=`${CC} --version | head -1 | awk '{print $3}'`
-CC_MAJOR=`echo ${CC_VERSION} | cut -d. -f 1`
-CC_MINOR=`echo ${CC_VERSION} | cut -d. -f 2`
-if [ ${CC_MAJOR} -ge 3 ]; then
-        if [ ${CC_MAJOR} -gt 3 -o ${CC_MINOR} -ge 4 ]; then
-                make pch
-        fi
-fi
-
-
-make all modules
-
-# Remove some permission bits to avoid to many dependencies
-cd ..
-find examples docs -type f | xargs -r chmod -x
-
-%install
-# Clean up in case there is trash left from a previous build
-rm -rf $RPM_BUILD_ROOT
-
-# Create the target build directory hierarchy
-mkdir -p $RPM_BUILD_ROOT%{_includedir}
-mkdir -p $RPM_BUILD_ROOT%{_initrddir}
-mkdir -p $RPM_BUILD_ROOT{%{_libarchdir},%{_includedir}}
-mkdir -p $RPM_BUILD_ROOT%{_libarchdir}/samba/{auth,charset,idmap,vfs,pdb}
-mkdir -p $RPM_BUILD_ROOT/%{_libarch}/security
-mkdir -p $RPM_BUILD_ROOT%{_mandir}
-mkdir -p $RPM_BUILD_ROOT%{_prefix}/{bin,sbin}
-mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
-mkdir -p $RPM_BUILD_ROOT/sbin
-mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{logrotate.d,pam.d,samba}
-mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{pam.d,logrotate.d}
-mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
-mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{samba,sysconfig}
-mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d
-mkdir -p $RPM_BUILD_ROOT/var/lib/samba/winbindd_privileged
-mkdir -p $RPM_BUILD_ROOT/var/{log,run/winbindd,spool}/samba
-
-cd source3
-make DESTDIR=$RPM_BUILD_ROOT \
-        install
-cd ..
-
-# NSS winbind support
-install -m 755 nsswitch/libnss_winbind.so $RPM_BUILD_ROOT/%{_libarch}/libnss_winbind.so.2
-install -m 755 nsswitch/libnss_wins.so $RPM_BUILD_ROOT/%{_libarch}/libnss_wins.so.2
-( cd $RPM_BUILD_ROOT/%{_libarch};
-  ln -sf libnss_winbind.so.2  libnss_winbind.so;
-  ln -sf libnss_wins.so.2  libnss_wins.so )
-
-## cleanup
-/bin/rm -rf $RPM_BUILD_ROOT/usr/lib*/samba/security
-
-# Install the miscellany
-echo 127.0.0.1 localhost > $RPM_BUILD_ROOT%{_sysconfdir}/samba/lmhosts
-
-install -m644 setup/samba.log $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/samba
-install -m644 setup/samba.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/samba
-install -m755 setup/smb.init $RPM_BUILD_ROOT%{initdir}/smb
-install -m755 setup/winbind.init $RPM_BUILD_ROOT%{initdir}/winbind
-install -m644 setup/samba.pamd $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/samba
-install -m755 packaging/printing/smbprint $RPM_BUILD_ROOT%{_bindir}
-install -m644 setup/smbusers $RPM_BUILD_ROOT%{_sysconfdir}/samba/smbusers
-install -m644 setup/smb.conf $RPM_BUILD_ROOT%{_sysconfdir}/samba/smb.conf
-install -m755 source3/script/mksmbpasswd.sh $RPM_BUILD_ROOT%{_bindir}
-
-ln -s ../..%{initdir}/smb  $RPM_BUILD_ROOT%{_sbindir}/samba
-ln -s ../..%{initdir}/winbind  $RPM_BUILD_ROOT%{_sbindir}/winbind
-
-# Remove "*.old" files
-find $RPM_BUILD_ROOT -name "*.old" -exec rm -f {} \;
-
-rm -rf docs/htmldocs
-rm -rf docs/manpages
-
-##
-## Clean out man pages for tools not installed here
-##
-rm -f $RPM_BUILD_ROOT%{_mandir}/man1/log2pcap.1*
-rm -f $RPM_BUILD_ROOT%{_mandir}/man1/smbsh.1*
-rm -f $RPM_BUILD_ROOT%{_mandir}/man5/vfstest.1*
-
-
-%clean
-rm -rf $RPM_BUILD_ROOT
-
-%post
-## deal with an upgrade from a broken 3.0.21b RPM
-if [ "$1" -eq "2" ]; then
-       if [ -d /var/cache/samba ]; then
-               for file in `ls /var/cache/samba/*tdb`; do
-                       /bin/cp -up $file /var/lib/samba/`basename $file`
-               done
-               mkdir -p /var/lib/samba/eventlog
-               for file in `ls /var/cache/samba/eventlog/*tdb`; do
-                       /bin/cp -up $file /var/lib/samba/eventlog/`basename $file`
-               done
-               /bin/mv /var/cache/samba /var/cache/samba.moved
-        fi
-fi
-
-%preun
-if [ $1 = 0 ] ; then
-    /sbin/chkconfig --del smb
-    /sbin/chkconfig --del winbind
-    # rm -rf /var/log/samba/* /var/lib/samba/*
-    /sbin/service smb stop >/dev/null 2>&1
-fi
-exit 0
-
-%postun
-if [ "$1" -ge "1" ]; then
-       %{initdir}/smb restart >/dev/null 2>&1
-fi     
-
-
-%post common
-/sbin/ldconfig
-
-%postun common 
-/sbin/ldconfig
-
-#######################################################################
-## Files section                                                     ##
-#######################################################################
-
-%files
-%defattr(-,root,root)
-
-%config(noreplace) %{_sysconfdir}/sysconfig/samba
-%config(noreplace) %{_sysconfdir}/samba/smbusers
-%attr(755,root,root) %config %{initdir}/smb
-%attr(755,root,root) %config %{initdir}/winbind
-%config(noreplace) %{_sysconfdir}/logrotate.d/samba
-%config(noreplace) %{_sysconfdir}/pam.d/samba
-
-%attr(0755,root,root) %dir /var/log/samba
-%attr(0755,root,root) %dir /var/lib/samba
-%attr(1777,root,root) %dir /var/spool/samba
-
-%{_sbindir}/samba
-%{_sbindir}/winbind
-
-%{_sbindir}/smbd
-%{_sbindir}/nmbd
-%{_sbindir}/winbindd
-
-%{_bindir}/mksmbpasswd.sh
-%{_bindir}/smbcontrol
-%{_bindir}/smbstatus
-%{_bindir}/tdbbackup
-%{_bindir}/tdbtool
-%{_bindir}/tdbdump
-%{_bindir}/tdbrestore
-%{_bindir}/wbinfo
-%{_bindir}/ntlm_auth
-%{_bindir}/pdbedit
-%{_bindir}/eventlogadm
-
-%{_libarchdir}/samba/idmap/*.so
-%{_libarchdir}/samba/nss_info/*.so
-%{_libarchdir}/samba/vfs/*.so
-%{_libarchdir}/samba/auth/*.so
-
-%{_mandir}/man1/smbcontrol.1*
-%{_mandir}/man1/smbstatus.1*
-%{_mandir}/man1/vfstest.1*
-%{_mandir}/man5/smbpasswd.5*
-%{_mandir}/man7/samba.7*
-%{_mandir}/man7/winbind_krb5_locator.7*
-%{_mandir}/man8/nmbd.8*
-%{_mandir}/man8/pdbedit.8*
-%{_mandir}/man8/smbd.8*
-%{_mandir}/man8/tdbbackup.8*
-%{_mandir}/man8/tdbdump.8*
-%{_mandir}/man8/tdbtool.8*
-%{_mandir}/man8/eventlogadm.8*
-%{_mandir}/man8/winbindd.8*
-%{_mandir}/man1/ntlm_auth.1*
-%{_mandir}/man1/wbinfo.1*
-%{_mandir}/man1/dbwrap_*.1*
-%{_mandir}/man8/vfs_*.8*
-%{_mandir}/man8/idmap_*.8*
-
-
-##########
-
-%files doc
-%defattr(-,root,root)
-%doc README COPYING Manifest 
-%doc WHATSNEW.txt Roadmap
-%doc docs
-%doc examples/autofs examples/LDAP examples/libsmbclient examples/misc examples/printer-accounting
-%doc examples/printing
-
-##########
-
-%files client
-%defattr(-,root,root)
-
-%{_bindir}/rpcclient
-%{_bindir}/smbcacls
-%{_bindir}/sharesec
-%{_bindir}/findsmb
-%{_bindir}/smbcquotas
-%{_bindir}/nmblookup
-%{_bindir}/smbget
-%{_bindir}/smbclient
-%{_bindir}/smbprint
-%{_bindir}/smbspool
-%{_bindir}/smbtar
-%{_bindir}/net
-%{_bindir}/smbtree
-
-%{_mandir}/man8/smbspool.8*
-%{_mandir}/man1/smbget.1*
-%{_mandir}/man5/smbgetrc.5*
-%{_mandir}/man1/findsmb.1*
-%{_mandir}/man1/nmblookup.1*
-%{_mandir}/man1/rpcclient.1*
-%{_mandir}/man1/smbcacls.1*
-%{_mandir}/man1/sharesec.1*
-%{_mandir}/man1/smbclient.1*
-%{_mandir}/man1/smbtar.1*
-%{_mandir}/man1/smbtree.1*
-%{_mandir}/man8/net.8*
-%{_mandir}/man1/smbcquotas.1*
-
-##########
-
-%files common
-%defattr(-,root,root)
-%dir %{_sysconfdir}/samba
-%dir %{_libarchdir}/samba
-%dir %{_libarchdir}/samba/charset
-%config(noreplace) %{_sysconfdir}/samba/smb.conf
-%config(noreplace) %{_sysconfdir}/samba/lmhosts
-
-%attr(755,root,root) /%{_libarch}/libnss_wins.so*
-%attr(755,root,root) /%{_libarch}/libnss_winbind.so*
-%attr(755,root,root) /%{_libarch}/security/pam_winbind.so
-/usr/share/locale/de/LC_MESSAGES/net.mo
-/usr/share/locale/de/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/ar/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/cs/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/da/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/es/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/fi/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/fr/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/hu/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/it/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/ja/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/ko/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/nb/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/nl/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/pl/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/pt_BR/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/ru/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/sv/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/zh_CN/LC_MESSAGES/pam_winbind.mo
-/usr/share/locale/zh_TW/LC_MESSAGES/pam_winbind.mo
-
-%{_includedir}/libsmbclient.h
-%{_libarchdir}/libsmbclient.*
-%{_includedir}/smb_share_modes.h
-
-%{_libarchdir}/samba/*.dat
-%{_libarchdir}/samba/*.msg
-%{_libarchdir}/samba/charset/*.so
-
-%{_includedir}/netapi.h
-%{_includedir}/wbclient.h
-%{_includedir}/talloc.h
-%{_includedir}/tdb.h
-%{_libarchdir}/libnetapi.so*
-%{_libarchdir}/libtalloc.so*
-%{_libarchdir}/libtdb.so*
-%{_libarchdir}/libwbclient.so*
-
-%{_bindir}/testparm
-%{_bindir}/smbpasswd
-%{_bindir}/profiles
-
-%{_mandir}/man1/profiles.1*
-%{_mandir}/man1/testparm.1*
-%{_mandir}/man5/smb.conf.5*
-%{_mandir}/man5/lmhosts.5*
-%{_mandir}/man8/smbpasswd.8*
-%{_mandir}/man5/pam_winbind.conf.5.*
-%{_mandir}/man7/libsmbclient.7*
-%{_mandir}/man8/pam_winbind.8*
-
-%changelog
-* Fri Jan 16 2004 Gerald (Jerry) Carter <jerry@samba,org>
-- Removed ChangeLog entries since they are kept in CVS
-
-
-
diff --git a/packaging/RHEL/setup/filter-requires-samba.sh b/packaging/RHEL/setup/filter-requires-samba.sh
deleted file mode 100755 (executable)
index f90085c..0000000
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/bin/sh
-
-/usr/lib/rpm/perl.req $* | grep -E -v '(Net::LDAP|Crypt::SmbHash|CGI|Unicode::MapUTF8)'
-
diff --git a/packaging/RHEL/setup/samba.log b/packaging/RHEL/setup/samba.log
deleted file mode 100644 (file)
index a3c000e..0000000
+++ /dev/null
@@ -1,9 +0,0 @@
-/var/log/samba/*.log /var/log/samba/log.smbd /var/log/samba/log.nmbd {
-    notifempty
-    missingok
-    sharedscripts
-    copytruncate
-    postrotate
-       /bin/kill -HUP `cat /var/run/smbd.pid /var/run/nmbd.pid /var/run/winbindd.pid 2> /dev/null` 2> /dev/null || true
-    endscript
-}
diff --git a/packaging/RHEL/setup/samba.pamd b/packaging/RHEL/setup/samba.pamd
deleted file mode 100644 (file)
index 8c529da..0000000
+++ /dev/null
@@ -1,4 +0,0 @@
-auth    required       pam_stack.so service=system-auth
-session  required      pam_stack.so service=system-auth
-account         required       pam_stack.so service=system-auth
-password required      pam_stack.so service=system-auth
diff --git a/packaging/RHEL/setup/samba.sysconfig b/packaging/RHEL/setup/samba.sysconfig
deleted file mode 100644 (file)
index 944b72f..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-# Options to smbd
-SMBDOPTIONS="-D"
-# Options to nmbd
-NMBDOPTIONS="-D"
-# Options for winbindd
-WINBINDOPTIONS=""
diff --git a/packaging/RHEL/setup/smb.conf b/packaging/RHEL/setup/smb.conf
deleted file mode 100644 (file)
index 971ca19..0000000
+++ /dev/null
@@ -1,271 +0,0 @@
-# This is the main Samba configuration file. You should read the
-# smb.conf(5) manual page in order to understand the options listed
-# here. Samba has a huge number of configurable options (perhaps too
-# many!) most of which are not shown in this example
-#
-# For a step to step guide on installing, configuring and using samba, 
-# read the Samba-HOWTO-Collection. This may be obtained from:
-#  http://www.samba.org/samba/docs/Samba-HOWTO-Collection.pdf
-#
-# Many working examples of smb.conf files can be found in the 
-# Samba-Guide which is generated daily and can be downloaded from: 
-#  http://www.samba.org/samba/docs/Samba-Guide.pdf
-#
-# Any line which starts with a ; (semi-colon) or a # (hash) 
-# is a comment and is ignored. In this example we will use a #
-# for commentry and a ; for parts of the config file that you
-# may wish to enable
-#
-# NOTE: Whenever you modify this file you should run the command "testparm"
-# to check that you have not made any basic syntactic errors. 
-#
-#======================= Global Settings =====================================
-[global]
-
-# workgroup = NT-Domain-Name or Workgroup-Name, eg: MIDEARTH
-   workgroup = MYGROUP
-
-# server string is the equivalent of the NT Description field
-   server string = Samba Server
-
-# Security mode. Defines in which mode Samba will operate. Possible 
-# values are share, user, server, domain and ads. Most people will want 
-# user level security. See the Samba-HOWTO-Collection for details.
-   security = user
-
-# This option is important for security. It allows you to restrict
-# connections to machines which are on your local network. The
-# following example restricts access to two C class networks and
-# the "loopback" interface. For more examples of the syntax see
-# the smb.conf man page
-;   hosts allow = 192.168.1. 192.168.2. 127.
-
-# If you want to automatically load your printer list rather
-# than setting them up individually then you'll need this
-   load printers = yes
-
-# you may wish to override the location of the printcap file
-;   printcap name = /etc/printcap
-
-# on SystemV system setting printcap name to lpstat should allow
-# you to automatically obtain a printer list from the SystemV spool
-# system
-;   printcap name = lpstat
-
-# It should not be necessary to specify the print system type unless
-# it is non-standard. Currently supported print systems include:
-# bsd, cups, sysv, plp, lprng, aix, hpux, qnx
-;   printing = cups
-
-# Uncomment this if you want a guest account, you must add this to /etc/passwd
-# otherwise the user "nobody" is used
-;  guest account = pcguest
-
-# this tells Samba to use a separate log file for each machine
-# that connects
-   log file = /usr/local/samba/var/log.%m
-
-# Put a capping on the size of the log files (in Kb).
-   max log size = 50
-
-# Use password server option only with security = server
-# The argument list may include:
-#   password server = My_PDC_Name [My_BDC_Name] [My_Next_BDC_Name]
-# or to auto-locate the domain controller/s
-#   password server = *
-;   password server = <NT-Server-Name>
-
-# Use the realm option only with security = ads
-# Specifies the Active Directory realm the host is part of
-;   realm = MY_REALM
-
-# Backend to store user information in. New installations should 
-# use either tdbsam or ldapsam. smbpasswd is available for backwards 
-# compatibility. tdbsam requires no further configuration.
-;   passdb backend = tdbsam
-
-# Using the following line enables you to customise your configuration
-# on a per machine basis. The %m gets replaced with the netbios name
-# of the machine that is connecting.
-# Note: Consider carefully the location in the configuration file of
-#       this line.  The included file is read at that point.
-;   include = /usr/local/samba/lib/smb.conf.%m
-
-# Configure Samba to use multiple interfaces
-# If you have multiple network interfaces then you must list them
-# here. See the man page for details.
-;   interfaces = 192.168.12.2/24 192.168.13.2/24 
-
-# Browser Control Options:
-# set local master to no if you don't want Samba to become a master
-# browser on your network. Otherwise the normal election rules apply
-;   local master = no
-
-# OS Level determines the precedence of this server in master browser
-# elections. The default value should be reasonable
-;   os level = 33
-
-# Domain Master specifies Samba to be the Domain Master Browser. This
-# allows Samba to collate browse lists between subnets. Don't use this
-# if you already have a Windows NT domain controller doing this job
-;   domain master = yes 
-
-# Preferred Master causes Samba to force a local browser election on startup
-# and gives it a slightly higher chance of winning the election
-;   preferred master = yes
-
-# Enable this if you want Samba to be a domain logon server for 
-# Windows95 workstations. 
-;   domain logons = yes
-
-# if you enable domain logons then you may want a per-machine or
-# per user logon script
-# run a specific logon batch file per workstation (machine)
-;   logon script = %m.bat
-# run a specific logon batch file per username
-;   logon script = %U.bat
-
-# Where to store roving profiles (only for Win95 and WinNT)
-#        %L substitutes for this servers netbios name, %U is username
-#        You must uncomment the [Profiles] share below
-;   logon path = \\%L\Profiles\%U
-
-# Windows Internet Name Serving Support Section:
-# WINS Support - Tells the NMBD component of Samba to enable it's WINS Server
-;   wins support = yes
-
-# WINS Server - Tells the NMBD components of Samba to be a WINS Client
-#      Note: Samba can be either a WINS Server, or a WINS Client, but NOT both
-;   wins server = w.x.y.z
-
-# WINS Proxy - Tells Samba to answer name resolution queries on
-# behalf of a non WINS capable client, for this to work there must be
-# at least one WINS Server on the network. The default is NO.
-;   wins proxy = yes
-
-# DNS Proxy - tells Samba whether or not to try to resolve NetBIOS names
-# via DNS nslookups. The default is NO.
-   dns proxy = no 
-
-# These scripts are used on a domain controller or stand-alone 
-# machine to add or delete corresponding unix accounts
-;  add user script = /usr/sbin/useradd %u
-;  add group script = /usr/sbin/groupadd %g
-;  add machine script = /usr/sbin/adduser -n -g machines -c Machine -d /dev/null -s /bin/false %u
-;  delete user script = /usr/sbin/userdel %u
-;  delete user from group script = /usr/sbin/deluser %u %g
-;  delete group script = /usr/sbin/groupdel %g
-
-
-#============================ Share Definitions ==============================
-[homes]
-   comment = Home Directories
-   browseable = no
-   writable = yes
-
-# Un-comment the following and create the netlogon directory for Domain Logons
-; [netlogon]
-;   comment = Network Logon Service
-;   path = /usr/local/samba/lib/netlogon
-;   guest ok = yes
-;   writable = no
-;   share modes = no
-
-
-# Un-comment the following to provide a specific roving profile share
-# the default is to use the user's home directory
-;[Profiles]
-;    path = /usr/local/samba/profiles
-;    browseable = no
-;    guest ok = yes
-
-
-# NOTE: If you have a BSD-style print system there is no need to 
-# specifically define each individual printer
-[printers]
-   comment = All Printers
-   path = /usr/spool/samba
-   browseable = no
-# Set public = yes to allow user 'guest account' to print
-   guest ok = no
-   writable = no
-   printable = yes
-
-# This one is useful for people to share files
-;[tmp]
-;   comment = Temporary file space
-;   path = /tmp
-;   read only = no
-;   public = yes
-
-# A publicly accessible directory, but read only, except for people in
-# the "staff" group
-;[public]
-;   comment = Public Stuff
-;   path = /home/samba
-;   public = yes
-;   writable = yes
-;   printable = no
-;   write list = @staff
-
-# Other examples. 
-#
-# A private printer, usable only by fred. Spool data will be placed in fred's
-# home directory. Note that fred must have write access to the spool directory,
-# wherever it is.
-;[fredsprn]
-;   comment = Fred's Printer
-;   valid users = fred
-;   path = /homes/fred
-;   printer = freds_printer
-;   public = no
-;   writable = no
-;   printable = yes
-
-# A private directory, usable only by fred. Note that fred requires write
-# access to the directory.
-;[fredsdir]
-;   comment = Fred's Service
-;   path = /usr/somewhere/private
-;   valid users = fred
-;   public = no
-;   writable = yes
-;   printable = no
-
-# a service which has a different directory for each machine that connects
-# this allows you to tailor configurations to incoming machines. You could
-# also use the %U option to tailor it by user name.
-# The %m gets replaced with the machine name that is connecting.
-;[pchome]
-;  comment = PC Directories
-;  path = /usr/pc/%m
-;  public = no
-;  writable = yes
-
-# A publicly accessible directory, read/write to all users. Note that all files
-# created in the directory by users will be owned by the default user, so
-# any user with access can delete any other user's files. Obviously this
-# directory must be writable by the default user. Another user could of course
-# be specified, in which case all files would be owned by that user instead.
-;[public]
-;   path = /usr/somewhere/else/public
-;   public = yes
-;   only guest = yes
-;   writable = yes
-;   printable = no
-
-# The following two entries demonstrate how to share a directory so that two
-# users can place files there that will be owned by the specific users. In this
-# setup, the directory should be writable by both users and should have the
-# sticky bit set on it to prevent abuse. Obviously this could be extended to
-# as many users as required.
-;[myshare]
-;   comment = Mary's and Fred's stuff
-;   path = /usr/somewhere/shared
-;   valid users = mary fred
-;   public = no
-;   writable = yes
-;   printable = no
-;   create mask = 0765
-
-
diff --git a/packaging/RHEL/setup/smb.init b/packaging/RHEL/setup/smb.init
deleted file mode 100644 (file)
index 96fb74a..0000000
+++ /dev/null
@@ -1,137 +0,0 @@
-#!/bin/sh
-#
-# chkconfig: - 91 35
-# description: Starts and stops the Samba smbd and nmbd daemons \
-#             used to provide SMB network services.
-#
-# pidfile: /var/run/samba/smbd.pid
-# pidfile: /var/run/samba/nmbd.pid
-# config:  /etc/samba/smb.conf
-
-
-# Source function library.
-if [ -f /etc/init.d/functions ] ; then
-  . /etc/init.d/functions
-elif [ -f /etc/rc.d/init.d/functions ] ; then
-  . /etc/rc.d/init.d/functions
-else
-  exit 0
-fi
-
-DAEMON_COREFILE_LIMIT='unlimited'
-
-# Avoid using root's TMPDIR
-unset TMPDIR
-
-# Source networking configuration.
-. /etc/sysconfig/network
-
-if [ -f /etc/sysconfig/samba ]; then
-   . /etc/sysconfig/samba
-fi
-
-# Check that networking is up.
-[ ${NETWORKING} = "no" ] && exit 0
-
-# Check that smb.conf exists.
-[ -f /etc/samba/smb.conf ] || exit 0
-
-# Check that we can write to it... so non-root users stop here
-[ -w /etc/samba/smb.conf ] || exit 0
-
-# Check whether "netbios disabled" is true
-ISNETBIOSDISABLED=$(testparm -s 2>/dev/null | \
-       sed -n '/\[global\]/,/^$/p' | \
-       grep "disable netbios = Yes" | \
-       awk 'BEGIN{FS=" = "}{print $2}')
-
-
-RETVAL=0
-
-
-start() {
-       KIND="SMB"
-       echo -n $"Starting $KIND services: "
-       daemon smbd $SMBDOPTIONS
-       RETVAL=$?
-       echo
-       KIND="NMB"
-       if [ x"$ISNETBIOSDISABLED" != x"Yes" ]; then
-               echo -n $"Starting $KIND services: "
-               daemon nmbd $NMBDOPTIONS
-               RETVAL2=$?
-               echo
-               [ $RETVAL -eq 0 -a $RETVAL2 -eq 0 ] && touch /var/lock/subsys/smb || \
-                       RETVAL=1
-       else
-               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/smb || \
-                       RETVAL=1
-       fi
-       return $RETVAL
-}      
-
-stop() {
-       KIND="SMB"
-       echo -n $"Shutting down $KIND services: "
-       killproc smbd
-       RETVAL=$?
-       [ $RETVAL -eq 0 ] && rm -f /var/run/smbd.pid
-       echo
-       KIND="NMB"
-       if [ x"$ISNETBIOSDISABLED" != x"Yes" ]; then
-               echo -n $"Shutting down $KIND services: "
-               killproc nmbd 
-               RETVAL2=$?
-               [ $RETVAL2 -eq 0 ] && rm -f /var/run/nmbd.pid
-               [ $RETVAL -eq 0 -a $RETVAL2 -eq 0 ] && rm -f /var/lock/subsys/smb 
-               echo ""
-       else
-               [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/smb 
-               echo ""
-       fi
-       return $RETVAL
-}      
-
-restart() {
-       stop
-       start
-}      
-
-reload() {
-        echo -n $"Reloading smb.conf file: "
-       killproc smbd -HUP
-       RETVAL=$?
-       echo
-       return $RETVAL
-}      
-
-rhstatus() {
-       status smbd
-       status nmbd
-}      
-
-case "$1" in
-  start)
-       start
-       ;;
-  stop)
-       stop
-       ;;
-  restart)
-       restart
-       ;;
-  reload)
-       reload
-       ;;
-  status)
-       rhstatus
-       ;;
-  condrestart)
-       [ -f /var/lock/subsys/smb ] && restart || :
-       ;;
-  *)
-       echo $"Usage: $0 {start|stop|restart|reload|status|condrestart}"
-       exit 1
-esac
-
-exit $?
diff --git a/packaging/RHEL/setup/smbusers b/packaging/RHEL/setup/smbusers
deleted file mode 100644 (file)
index ae3389f..0000000
+++ /dev/null
@@ -1,3 +0,0 @@
-# Unix_name = SMB_name1 SMB_name2 ...
-root = administrator admin
-nobody = guest pcguest smbguest
diff --git a/packaging/RHEL/setup/swat.desktop b/packaging/RHEL/setup/swat.desktop
deleted file mode 100644 (file)
index 0d7b4b5..0000000
+++ /dev/null
@@ -1,8 +0,0 @@
-[Desktop Entry]
-Name=Samba Configuration
-Name[de]=Samba Konfiguration
-Type=Application
-Comment=Configure Samba with a web based interface
-Exec=htmlview http://127.0.0.1:901/
-Terminal=false
-Categories=X-Red-Hat-Extra;Application;System;X-Red-Hat-ServerConfig;
diff --git a/packaging/RHEL/setup/winbind.init b/packaging/RHEL/setup/winbind.init
deleted file mode 100644 (file)
index 2a9dd82..0000000
+++ /dev/null
@@ -1,102 +0,0 @@
-#!/bin/sh
-#
-# chkconfig: - 91 35
-# description: Starts and stops the Samba winbind daemon
-#             #
-# pidfile: /var/cache/samba/winbind.pid
-# config:  /etc/samba/smb.conf
-
-
-# Source function library.
-if [ -f /etc/init.d/functions ] ; then
-  . /etc/init.d/functions
-elif [ -f /etc/rc.d/init.d/functions ] ; then
-  . /etc/rc.d/init.d/functions
-else
-  exit 0
-fi
-
-DAEMON_COREFILE_LIMIT='unlimited'
-
-# Avoid using root's TMPDIR
-unset TMPDIR
-
-# Source networking configuration.
-. /etc/sysconfig/network
-
-if [ -f /etc/sysconfig/samba ]; then
-   . /etc/sysconfig/samba
-fi
-
-# Check that networking is up.
-[ ${NETWORKING} = "no" ] && exit 0
-
-# Check that smb.conf exists.
-[ -f /etc/samba/smb.conf ] || exit 0
-
-RETVAL=0
-
-
-start() {
-        KIND="Winbind"
-       echo -n $"Starting $KIND services: "
-       daemon winbindd "$WINBINDOPTIONS"
-       RETVAL=$?
-       echo
-       [ $RETVAL -eq 0 ] && touch /var/lock/subsys/winbindd || RETVAL=1
-       return $RETVAL
-}      
-
-stop() {
-        echo
-       KIND="Winbind"
-       echo -n $"Shutting down $KIND services: "
-       killproc winbindd
-       RETVAL=$?
-       [ $RETVAL -eq 0 ] && rm -f /var/run/winbindd.pid && rm -f /var/lock/subsys/winbindd
-       echo ""
-       return $RETVAL
-}      
-
-restart() {
-       stop
-       start
-}      
-
-reload() {
-        echo -n $"Reloading smb.conf file: "
-       killproc winbindd -HUP
-       RETVAL=$?
-       echo
-       return $RETVAL
-}      
-
-rhstatus() {
-       status winbindd
-}      
-
-case "$1" in
-  start)
-       start
-       ;;
-  stop)
-       stop
-       ;;
-  restart)
-       restart
-       ;;
-  reload)
-       reload
-       ;;
-  status)
-       rhstatus
-       ;;
-  condrestart)
-       [ -f /var/lock/subsys/winbindd ] && restart || :
-       ;;
-  *)
-       echo $"Usage: $0 {start|stop|restart|reload|status|condrestart}"
-       exit 1
-esac
-
-exit $?